<?php
class ControllerExtensionModuleFeaturedcarusel extends Controller {
	public function index($setting) {
		static $module = 0;
		$this->load->language('extension/module/featuredcarusel');
		$show = 1;
		if ($setting['displaytitle'] == '1') {
			$data['heading_title'] = $setting['name'];
		} else {
			$data['heading_title'] = false;
		}
		$data['class'] = $setting['class'];
		$data['items'] = $setting['items'];
		$data['prodview'] = $setting['prodview'];
		if ($setting['scategory'] && isset($this->request->get['path'])) {
			$this_cat = explode('_', $this->request->get['path']);
			if (in_array(end($this_cat), $setting['scategory'])) {
				$show = 1;
			} else {
				$show = 0;
			}
		}
		if ($show == 1) {
			$this->document->addStyle('catalog/view/javascript/featuredcarusel.css');
			$this->document->addStyle('catalog/view/javascript/jquery/swiper/css/swiper.min.css');
			$this->document->addStyle('catalog/view/javascript/jquery/swiper/css/opencart.css');
			$this->document->addScript('catalog/view/javascript/jquery/swiper/js/swiper.jquery.js');

			$this->load->model('catalog/product');

			$this->load->model('tool/image');

			$data['products'] = array();
			$products = '';
			if (!$setting['limit']) {
			$setting['limit'] = 4;
			}
		
			if ($setting['tab'][0] == 1 && !empty($setting['product'])) {
			$products = array_slice($setting['product'], 0, (int)$setting['limit']);
			} else {
				if (!$setting['category']) {
				$setting['category'] = 0;
				}
				$filter_data = array(
				'sort'  => 'p.date_added',
				'order' => 'DESC',
				'start' => 0,
				'filter_category_id' => $setting['category'],
				'limit' => $setting['limit']
				);
				$products = $this->model_catalog_product->getProducts($filter_data);
			}

			if ($products) {
			foreach ($products as $product) {
				
				if ($setting['tab'][0] == 1 && !empty($setting['product'])) {
					$product_info = $this->model_catalog_product->getProduct($product);
				} else {
					$product_info = $product;
				}

				if ($product_info) {
					if ($product_info['image']) {
						$image = $this->model_tool_image->resize($product_info['image'], $setting['width'], $setting['height']);
					} else {
						$image = $this->model_tool_image->resize('placeholder.png', $setting['width'], $setting['height']);
					}

					if ($this->customer->isLogged() || !$this->config->get('config_customer_price')) {
						$price = $this->currency->format($this->tax->calculate($product_info['price'], $product_info['tax_class_id'], $this->config->get('config_tax')), $this->session->data['currency']);
					} else {
						$price = false;
					}
					if ((float)$product_info['special']) {
						$special = $this->currency->format($this->tax->calculate($product_info['special'], $product_info['tax_class_id'], $this->config->get('config_tax')), $this->session->data['currency']);
					} else {
						$special = false;
					}

					if ($this->config->get('config_tax')) {
						$tax = $this->currency->format((float)$product_info['special'] ? $product_info['special'] : $product_info['price'], $this->session->data['currency']);
					} else {
						$tax = false;
					}

					if ($this->config->get('config_review_status')) {
						$rating = $product_info['rating'];
					} else {
						$rating = false;
					}

					$data['products'][] = array(
						'product_id'  => $product_info['product_id'],
						'thumb'       => $image,
						'name'        => $product_info['name'],
						'description' => utf8_substr(trim(strip_tags(html_entity_decode($product_info['description'], ENT_QUOTES, 'UTF-8'))), 0, $this->config->get('theme_' . $this->config->get('config_theme') . '_product_description_length')) . '..',
						'price'       => $price,
						'special'     => $special,
						'tax'         => $tax,
						'rating'      => $rating,
						'href'        => $this->url->link('product/product', 'product_id=' . $product_info['product_id'])
					);
				}
			}
			}
			$data['module'] = $module++;
			if ($data['products']) {
				return $this->load->view('extension/module/featuredcarusel', $data);
			}
		}
	}
}